### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.controller.Morph

class `collada.controller.``Morph`(source_geometry, target_list, xmlnode=None)

  Bases: `collada.controller.Controller`

  Class containing data collada holds in the <morph> tag

  `__init__`(source_geometry, target_list, xmlnode=None)

    Create a morph instance

    Parameters:

    source_geometry

      The source geometry (Geometry)

    targets

      A list of tuples where each tuple (g,w) contains a Geometry (g) and a float weight value (w)

    xmlnode

      When loaded, the xmlnode it comes from

  Methods

  `__init__`(source_geometry, target_list[, xmlnode]) | Create a morph instance
  `bind`(matrix, materialnodebysymbol) | Create a bound morph from this one, transform and material mapping
  `load`(collada, localscope, morphnode, ...) |
  `save`() |

  `source_geometry` = None

    The source geometry (Geometry)

  `target_list` = None

    A list of tuples where each tuple (g,w) contains a Geometry (g) and a float weight value (w)

  `bind`(matrix, materialnodebysymbol)

    Create a bound morph from this one, transform and material mapping

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »